# tibiapi

![ci](https://github.com/lucasmonstrox/tibiapi/actions/workflows/ci.yml/badge.svg)
[![codecov](https://codecov.io/gh/lucasmonstrox/tibiapi/graph/badge.svg?token=7BTPYKHC80)](https://codecov.io/gh/lucasmonstrox/tibiapi)
![docs](https://readthedocs.org/projects/tibiapi/badge/?version=latest)

## 📝 Description

> Fastest Tibia PixelBot API made in [Python](https://www.python.org/downloads/release/python-3117).

See the full documentation in [https://tibiapi.readthedocs.io](https://tibiapi.readthedocs.io).

## 🗺️ Features

| Features   | Done |
| ---------- | ---- |
| ActionBar  | ❌   |
| Analytics  | ❌   |
| BattleList | 🚧   |
| Chat       | ❌   |
| GameWindow | 🚧   |
| Imbuements | ❌   |
| Inventory  | ❌   |
| Market     | ❌   |
| Minimap    | ❌   |
| Options    | ❌   |
| PartyList  | ❌   |
| Skills     | 🚧   |
| SpellList  | ❌   |
| StatusBar  | ✔️   |
| Store      | ❌   |
| VIPList    | ❌   |

## 🧰 Installation

### Requirements

- [Python](https://www.python.org/downloads/release/python-3117) 3.11.7

### with [pip](https://pypi.org/project/pip/)

```sh
pip install tibiapi
```

### with [poetry](https://python-poetry.org/)

```sh
poetry install tibiapi
```

### with [git](https://git-scm.com/)

tibiapi can be directly used from GitHub by cloning the repository into a subfolder of your project root which might be useful if you want to use the very latest version:

```sh
git clone https://github.com/lucasmonstrox/tibiapi
```

Next, install the tibiapi and its dependencies with:

```sh
pip install -e tibiapi
```

## ✅ TODO

- configure mypy
- add benchmark tests

## 👷 Authors

- [**lucasmonstrox**](http://github.com/lucasmonstrox)([**linkedin**](https://www.linkedin.com/in/lucasmonstrox/)) - Owner & Developer

See also the list of [contributors](../../graphs/contributors) who participated
in this project.

If you want to become a contributor, send a message to my [**linkedin**](https://www.linkedin.com/in/lucasmonstrox/).
